# -*- coding: utf-8 -*-
from openerp import api, models, fields
from openerp.tools.safe_eval import safe_eval


class OdooManagementConfig(models.TransientModel):
    _inherit = 'res.config.settings'
    _name = 'odoo.management.config'

    docker_sock = fields.Char(string='Socket', size=100, default='/var/run/docker.sock')
    docker_exclusion = fields.Char(string='Lista de exclusión', size=160)
    odoo_image = fields.Char(string='Imagen docker', size=50)
    odoo_network = fields.Char(string='Red virtual', size=50, default='eiru')
    odoo_ports_range = fields.Char(string='Rango de puertos', size=50)
    odoo_root_path = fields.Char(string='Ruta raíz', size=50, default='/opt/odoo')
    odoo_db = fields.Char(string='Base de datos', size=50, default='db')
    git_path = fields.Char(string='Ruta del repositorio', size=100, default='/opt/gogs/git/gogs-repositories')

    @api.multi
    def set_default_settings(self):
        pass

    @api.model
    def get_default_settings(self, fields):
        return {
            'docker_sock': '/var/run/docker.sock',
            'docker_exclusion': (('test_001', 'Test 001'), ('test_002', 'Test 002')),
            'odoo_image': 'odoo:1.0',
            'odoo_network': 'eiru',
            'odoo_ports_range': safe_eval('[10000, 20000]'),
            'odoo_root_path': '/opt/odoo',
            'odoo_db': 'db',
            'git_path': '/opt/gogs/git/gogs-repositories'
        }

    @api.model
    def on_change_docker_exclusion(self):
        pass